import { z } from 'zod';
export declare const jsonWebKeySetSchema: z.ZodObject<{
    keys: z.ZodArray<z.ZodObject<{
        kty: z.ZodString;
        kid: z.ZodString;
        use: z.ZodOptional<z.ZodString>;
        key_ops: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        alg: z.ZodOptional<z.ZodString>;
        x5u: z.ZodOptional<z.ZodString>;
        x5c: z.ZodOptional<z.ZodString>;
        x5t: z.ZodOptional<z.ZodString>;
        'x5t#S256': z.ZodOptional<z.ZodString>;
    }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
        kty: z.ZodString;
        kid: z.ZodString;
        use: z.ZodOptional<z.ZodString>;
        key_ops: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        alg: z.ZodOptional<z.ZodString>;
        x5u: z.ZodOptional<z.ZodString>;
        x5c: z.ZodOptional<z.ZodString>;
        x5t: z.ZodOptional<z.ZodString>;
        'x5t#S256': z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
        kty: z.ZodString;
        kid: z.ZodString;
        use: z.ZodOptional<z.ZodString>;
        key_ops: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        alg: z.ZodOptional<z.ZodString>;
        x5u: z.ZodOptional<z.ZodString>;
        x5c: z.ZodOptional<z.ZodString>;
        x5t: z.ZodOptional<z.ZodString>;
        'x5t#S256': z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">>, "many">;
}, "strip", z.ZodTypeAny, {
    keys: z.objectOutputType<{
        kty: z.ZodString;
        kid: z.ZodString;
        use: z.ZodOptional<z.ZodString>;
        key_ops: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        alg: z.ZodOptional<z.ZodString>;
        x5u: z.ZodOptional<z.ZodString>;
        x5c: z.ZodOptional<z.ZodString>;
        x5t: z.ZodOptional<z.ZodString>;
        'x5t#S256': z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">[];
}, {
    keys: z.objectInputType<{
        kty: z.ZodString;
        kid: z.ZodString;
        use: z.ZodOptional<z.ZodString>;
        key_ops: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        alg: z.ZodOptional<z.ZodString>;
        x5u: z.ZodOptional<z.ZodString>;
        x5c: z.ZodOptional<z.ZodString>;
        x5t: z.ZodOptional<z.ZodString>;
        'x5t#S256': z.ZodOptional<z.ZodString>;
    }, z.ZodTypeAny, "passthrough">[];
}>;
export type JsonWebKeySetOptions = z.input<typeof jsonWebKeySetSchema>;
export type JsonWebKeySet = z.output<typeof jsonWebKeySetSchema>;
