import { z } from 'zod';
export declare const commonMetadataSchema: z.ZodObject<{
    signed_jwks_uri: z.ZodOptional<z.ZodString>;
    jwks_uri: z.ZodOptional<z.ZodString>;
    jwks: z.ZodOptional<z.ZodObject<{
        keys: z.ZodArray<z.ZodObject<{
            kty: z.ZodString;
            kid: z.ZodString;
            use: z.ZodOptional<z.ZodString>;
            key_ops: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            alg: z.ZodOptional<z.ZodString>;
            x5u: z.ZodOptional<z.ZodString>;
            x5c: z.ZodOptional<z.ZodString>;
            x5t: z.ZodOptional<z.ZodString>;
            'x5t#S256': z.ZodOptional<z.ZodString>;
        }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
            kty: z.ZodString;
            kid: z.ZodString;
            use: z.ZodOptional<z.ZodString>;
            key_ops: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            alg: z.ZodOptional<z.ZodString>;
            x5u: z.ZodOptional<z.ZodString>;
            x5c: z.ZodOptional<z.ZodString>;
            x5t: z.ZodOptional<z.ZodString>;
            'x5t#S256': z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
            kty: z.ZodString;
            kid: z.ZodString;
            use: z.ZodOptional<z.ZodString>;
            key_ops: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            alg: z.ZodOptional<z.ZodString>;
            x5u: z.ZodOptional<z.ZodString>;
            x5c: z.ZodOptional<z.ZodString>;
            x5t: z.ZodOptional<z.ZodString>;
            'x5t#S256': z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">>, "many">;
    }, "strip", z.ZodTypeAny, {
        keys: z.objectOutputType<{
            kty: z.ZodString;
            kid: z.ZodString;
            use: z.ZodOptional<z.ZodString>;
            key_ops: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            alg: z.ZodOptional<z.ZodString>;
            x5u: z.ZodOptional<z.ZodString>;
            x5c: z.ZodOptional<z.ZodString>;
            x5t: z.ZodOptional<z.ZodString>;
            'x5t#S256': z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">[];
    }, {
        keys: z.objectInputType<{
            kty: z.ZodString;
            kid: z.ZodString;
            use: z.ZodOptional<z.ZodString>;
            key_ops: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            alg: z.ZodOptional<z.ZodString>;
            x5u: z.ZodOptional<z.ZodString>;
            x5c: z.ZodOptional<z.ZodString>;
            x5t: z.ZodOptional<z.ZodString>;
            'x5t#S256': z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">[];
    }>>;
    organization_name: z.ZodOptional<z.ZodString>;
    contacts: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    logo_uri: z.ZodOptional<z.ZodString>;
    policy_uri: z.ZodOptional<z.ZodString>;
    homepage_uri: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    jwks?: {
        keys: z.objectOutputType<{
            kty: z.ZodString;
            kid: z.ZodString;
            use: z.ZodOptional<z.ZodString>;
            key_ops: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            alg: z.ZodOptional<z.ZodString>;
            x5u: z.ZodOptional<z.ZodString>;
            x5c: z.ZodOptional<z.ZodString>;
            x5t: z.ZodOptional<z.ZodString>;
            'x5t#S256': z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">[];
    } | undefined;
    signed_jwks_uri?: string | undefined;
    jwks_uri?: string | undefined;
    organization_name?: string | undefined;
    contacts?: string[] | undefined;
    logo_uri?: string | undefined;
    policy_uri?: string | undefined;
    homepage_uri?: string | undefined;
}, {
    jwks?: {
        keys: z.objectInputType<{
            kty: z.ZodString;
            kid: z.ZodString;
            use: z.ZodOptional<z.ZodString>;
            key_ops: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            alg: z.ZodOptional<z.ZodString>;
            x5u: z.ZodOptional<z.ZodString>;
            x5c: z.ZodOptional<z.ZodString>;
            x5t: z.ZodOptional<z.ZodString>;
            'x5t#S256': z.ZodOptional<z.ZodString>;
        }, z.ZodTypeAny, "passthrough">[];
    } | undefined;
    signed_jwks_uri?: string | undefined;
    jwks_uri?: string | undefined;
    organization_name?: string | undefined;
    contacts?: string[] | undefined;
    logo_uri?: string | undefined;
    policy_uri?: string | undefined;
    homepage_uri?: string | undefined;
}>;
