"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.commonMetadataSchema = void 0;
const zod_1 = require("zod");
const jsonWeb_1 = require("../jsonWeb");
exports.commonMetadataSchema = zod_1.z.object({
    // -- 5.2.1 Extensions for JWK Sets in Entity Metadata
    signed_jwks_uri: zod_1.z.string().url().optional(),
    jwks_uri: zod_1.z.string().url().optional(),
    jwks: jsonWeb_1.jsonWebKeySetSchema.optional(),
    // -- 5.2.2 informational Metadata Extensions --
    organization_name: zod_1.z.string().optional(),
    contacts: zod_1.z.array(zod_1.z.string()).min(1).optional(),
    logo_uri: zod_1.z.string().url().optional(),
    policy_uri: zod_1.z.string().url().optional(),
    homepage_uri: zod_1.z.string().url().optional(),
});
//# sourceMappingURL=common.js.map