import { z } from 'zod';
export declare const metadataSchema: z.ZodObject<{
    [x: string]: z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        signed_jwks_uri: z.ZodOptional<z.ZodString>;
        jwks_uri: z.ZodOptional<z.ZodString>;
        jwks: z.ZodOptional<z.ZodObject<{
            keys: z.ZodArray<z.ZodObject<{
                kty: z.ZodString;
                kid: z.ZodString;
                use: z.ZodOptional<z.ZodString>;
                key_ops: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
                alg: z.ZodOptional<z.ZodString>;
                x5u: z.ZodOptional<z.ZodString>;
                x5c: z.ZodOptional<z.ZodString>;
                x5t: z.ZodOptional<z.ZodString>;
                'x5t#S256': z.ZodOptional<z.ZodString>;
            }, "passthrough", z.ZodTypeAny, z.objectOutputType<{
                kty: z.ZodString;
                kid: z.ZodString;
                use: z.ZodOptional<z.ZodString>;
                key_ops: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
                alg: z.ZodOptional<z.ZodString>;
                x5u: z.ZodOptional<z.ZodString>;
                x5c: z.ZodOptional<z.ZodString>;
                x5t: z.ZodOptional<z.ZodString>;
                'x5t#S256': z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">, z.objectInputType<{
                kty: z.ZodString;
                kid: z.ZodString;
                use: z.ZodOptional<z.ZodString>;
                key_ops: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
                alg: z.ZodOptional<z.ZodString>;
                x5u: z.ZodOptional<z.ZodString>;
                x5c: z.ZodOptional<z.ZodString>;
                x5t: z.ZodOptional<z.ZodString>;
                'x5t#S256': z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">>, "many">;
        }, "strip", z.ZodTypeAny, {
            keys: z.objectOutputType<{
                kty: z.ZodString;
                kid: z.ZodString;
                use: z.ZodOptional<z.ZodString>;
                key_ops: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
                alg: z.ZodOptional<z.ZodString>;
                x5u: z.ZodOptional<z.ZodString>;
                x5c: z.ZodOptional<z.ZodString>;
                x5t: z.ZodOptional<z.ZodString>;
                'x5t#S256': z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">[];
        }, {
            keys: z.objectInputType<{
                kty: z.ZodString;
                kid: z.ZodString;
                use: z.ZodOptional<z.ZodString>;
                key_ops: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
                alg: z.ZodOptional<z.ZodString>;
                x5u: z.ZodOptional<z.ZodString>;
                x5c: z.ZodOptional<z.ZodString>;
                x5t: z.ZodOptional<z.ZodString>;
                'x5t#S256': z.ZodOptional<z.ZodString>;
            }, z.ZodTypeAny, "passthrough">[];
        }>>;
        organization_name: z.ZodOptional<z.ZodString>;
        contacts: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        logo_uri: z.ZodOptional<z.ZodString>;
        policy_uri: z.ZodOptional<z.ZodString>;
        homepage_uri: z.ZodOptional<z.ZodString>;
    }, z.ZodRawShape>, "strip", z.ZodTypeAny, {
        [x: string]: any;
    }, {
        [x: string]: any;
    }>>;
}, "strip", z.ZodTypeAny, {
    [x: string]: {
        [x: string]: any;
    } | undefined;
}, {
    [x: string]: {
        [x: string]: any;
    } | undefined;
}>;
export type Metadata = z.input<typeof metadataSchema>;
