"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dateSchema = void 0;
const zod_1 = require("zod");
/**
 *
 * Date schema that parses an unix timestamp in seconds since EPOCH to js date object
 *
 */
exports.dateSchema = zod_1.z
    .union([zod_1.z.date(), zod_1.z.number(), zod_1.z.string().transform((x) => (x.includes('T') ? new Date(x) : Number(x)))])
    .transform((d) => (d instanceof Date ? d : new Date(d * 1000)));
//# sourceMappingURL=dateSchema.js.map