/**
 *
 * Add paths to a url
 *
 * ## example
 *
 * ```typescript
 * const url = addPaths('https://example.org','path', 'two')
 * assert(url, "https://example.org/path/two")
 *
 * const url = addPaths('https://example.org/','path', 'two')
 * assert(url, "https://example.org/path/two")
 *
 * const url = addPaths('https://example.org/','path/', '/two/')
 * assert(url, "https://example.org/path/two")
 * ```
 *
 */
export declare const addPaths: (baseUrl: string, ...paths: Array<string>) => string;
export declare const addSearchParams: (baseUrl: string, searchParams: URLSearchParams | Record<string, string>) => string;
